Bug 507491 - (perl-forks) Review Request: perl-forks - A drop-in replacement for Perl threads using fork()
Review Request: perl-forks - A drop-in replacement for Perl threads using fork()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On: 504389
Blocks: 507493
  Show dependency treegraph
 
Reported: 2009-06-22 20:19 EDT by Bernard Johnson
Modified: 2010-02-02 15:45 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.33-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-02 15:45:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2009-06-22 20:19:50 EDT
Spec URL: http://fedorapeople.org/~bjohnson/perl-forks.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-forks-0.33-1.fc11.src.rpm
Description:
The forks.pm module is a drop-in replacement for threads.pm.  It has the
same syntax as the threads.pm module (it even takes over its namespace) but
has some significant differences:

- you do _not_ need a special (threaded) version of Perl
- it is _much_ more economic with memory usage on OS's that support COW
- it is more efficient in the startup of threads
- it is slightly less efficient in the stopping of threads
- it is less efficient in inter-thread communication

If for nothing else, it allows you to use the Perl threading model in
non-threaded Perl builds and in older versions of Perl (5.6.0 and
higher are supported).
Comment 1 Chris Weyl 2009-09-01 02:20:25 EDT
Koji (FAILURE) http://koji.fedoraproject.org/koji/taskinfo?taskID=1647274
Comment 2 Chris Weyl 2009-09-01 02:22:24 EDT
Heh.  The BR logic is incorrect, it should be perl(Sys::SigAction) >= 0.11 :)
Comment 3 Jason Tibbitts 2009-09-17 16:55:58 EDT
I verified that this does not build.  Please clear the whiteboard when you have a package that builds.
Comment 4 Bernard Johnson 2009-11-05 23:41:00 EST
Currently awaiting comments from upstream regarding a bug revealed in 'make test':
http://rt.cpan.org/Public/Bug/Display.html?id=49878
Comment 5 Bernard Johnson 2010-01-19 15:40:52 EST
Spec URL: http://fedorapeople.org/~bjohnson/perl-forks.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-forks-0.33-2.fc12.src.rpm

* Tue Jan 19 2010 Bernard Johnson <bjohnson@symetrix.com> - 0.33-2
- fix BR
- add patch from novell site to fix assertion in fedora < 13
Comment 6 Marcela Mašláňová 2010-01-22 03:59:27 EST
? rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
? package meet the Packaging Guidelines.
? package has a good license.
  It's the same as Perl which means GPL+ or Artistic for our use.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
   1f7a23987abd6df7ed5735badacffe99
OK successful koji compilation.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1937804
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.
Comment 7 Marcela Mašláňová 2010-01-22 04:04:26 EST
rpmlint is complaining a lot:
Provides should have version, use macro e.g %{version}

perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks/signals.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/threads/shared/scalar.pm
perl-forks.x86_64: W: spurious-executable-perm /usr/share/doc/perl-forks-0.33/TODO
perl-forks.x86_64: W: spurious-executable-perm /usr/share/doc/perl-forks-0.33/README
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/threads/shared/handle.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/threads/shared/array.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks/shared.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks/shared/attributes.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks.pm
perl-forks.x86_64: W: spurious-executable-perm /usr/share/doc/perl-forks-0.33/CHANGELOG
perl-forks.x86_64: W: spurious-executable-perm /usr/share/doc/perl-forks-0.33/CREDITS
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks/shared/global_filter.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/threads/shared/hash.pm
perl-forks.x86_64: E: script-without-shebang /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/forks/signals.pm.perl-forks-assertion

Shebang is needed because you have pm scripts with wrong permission. 
Also docs have wrong permission.
Comment 8 Marcela Mašláňová 2010-01-22 04:15:03 EST
Use macro %{__fixperms} instead of chown in build section. Also I dislike your exclude in section files.
Comment 9 Bernard Johnson 2010-01-31 15:47:32 EST
> Provides should have version, use macro e.g %{version}

Fixed

> Use macro %{__fixperms} instead of chown in build section.

Unless I misunderstood you, %{_fixperms} won't work because it uses a+X.  Instead I ran a find for all file and changed the mode.  rpmlint no longer complains.

> Also I dislike your exclude in section files.

I actually find it much more straight forward then deleting files after install.  Also, it is part of the template created by 'rpmdev-newspec -t perl' :)

Spec URL: http://fedorapeople.org/~bjohnson/perl-forks.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-forks-0.33-3.fc12.src.rpm

* Sun Jan 31 2010 Bernard Johnson <bjohnson@symetrix.com> - 0.33-3
- fix permissions in build to squelch rpmlint complaints
- add version to provides
Comment 10 Marcela Mašláňová 2010-02-01 07:20:20 EST
Right, sadly rpmlint is still complaining:
perl-forks.src: W: invalid-url Source0: http://search.cpan.org/CPAN/authors/id/R/RY/RYBSKEJ/forks-0.33.tar.gz <urlopen error timed out>

But I was able to download it, so I don't see any other problem with review.

ACCEPT
Comment 11 Bernard Johnson 2010-02-01 11:46:12 EST
(In reply to comment #10)
> perl-forks.src: W: invalid-url Source0:
> http://search.cpan.org/CPAN/authors/id/R/RY/RYBSKEJ/forks-0.33.tar.gz <urlopen
> error timed out>

I don't have this problem - maybe it was just an intermittent problem.

Thanks for your time on this review!


New Package CVS Request
=======================
Package Name: perl-forks
Short Description: A drop-in replacement for Perl threads using fork()
Owners: bjohnson
Branches: F-12
InitialCC: perl-sig
Comment 12 Kevin Fenzi 2010-02-01 15:43:10 EST
CVS done (by process-cvs-requests.py).
Comment 13 Fedora Update System 2010-02-01 17:10:42 EST
perl-forks-0.33-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-forks-0.33-3.fc12
Comment 14 Fedora Update System 2010-02-02 15:45:28 EST
perl-forks-0.33-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.